1. Physical Card Issuer
TrustPay
en
  • en
  • zh
  • Integration Guide
  • Payment Gateway
    • Payment Callback Specification
    • Enums
    • Risk Control – Merchant Integration
    • C21 Suport Regions
      • TrustPay Supported Billing Countries and US/Canada Regions
    • Card Direct Payin
      POST
    • Cashier Payin
      POST
    • Payment Callback
      POST
    • Balance
      POST
    • Order Query
      POST
    • Order Refund
      POST
    • Fee Query
      POST
  • Credit Card Issuer
    • Available Card
      POST
    • Open Card
      POST
    • Open/Recharge Card Callback
      POST
    • Get Card Detail
      POST
    • Card Recharge
      POST
    • Order List
      POST
    • Card List
      POST
    • Transaction List
      POST
    • Fee Query
      POST
  • Physical Card Issuer
    • Create Cardholder
      POST
    • List Cardholders
      POST
    • Assign Physical Cards
      POST
    • List Assigned Physical Cards
      POST
    • Query Card Balance
      POST
    • Query Card Transactions
      POST
    • Query Account
      POST
    • Card Charge
      POST
  • Schemas
    • VCardDetail
    • VOrderDetail
  1. Physical Card Issuer

Query Card Transactions

Testing
POST
/v3/pcard/card-transactions

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.trustpay.money/v3/pcard/card-transactions' \
--header 'Content-Type: application/json' \
--data '{
    "card_id": "b2c1b725-d8f1-4fbb-88a1-41bf9ffc8ead",
    "page": 1,
    "page_size": 20,
    "sign": ""
}'
Response Response Example
{
    "code": 880001,
    "message": "success",
    "data": {
        "items": [
            {
                "card_id": "c0cef051-29c5-4796-b86a-cd5b684bfad7",
                "cardholder_id": "7c4ff2cd-1bf6-4aaa-bf16-266771425011",
                "transaction_id": "5135e6cc-28b6-4889-81dc-3b86a09e1395",
                "transaction_type": "AUTHORIZATION",
                "transaction_status": "DECLINED",
                "amount": 100.25,
                "transaction_fee": 0.25,
                "currency": "USD",
                "transaction_time": "2024-03-21T09:17:32Z"
            }
        ],
        "total": 1,
        "page": 1,
        "page_size": 20
    }
}
Modified at 2026-05-23 04:49:40
Previous
Query Card Balance
Next
Query Account
Built with